{
  description = "Sample Homefree Host Config";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-24.11";

    homefree.url = "git+https://git.homefree.host/erahhal/HomeFree";
  };

  outputs = {
    self,
    ...
  }@inputs:
  let
    system = "x86_64-linux";
  in
  {
    nixosConfigurations = {
      homefree = inputs.nixpkgs.lib.nixosSystem {
        system = system;
        modules = [
          inputs.homefree.nixosModules.default
          ./disk-config.nix
          ./configuration.nix
        ];
        specialArgs = {
          inherit inputs;
          inherit system;
        };
      };
    };
  };
}
